/* dc_gui2 - a GTK+2 GUI for DCTC
 * Copyright (C) 2002 Eric Prevoteau
 *
 * callbacks.h: Copyright (C) Eric Prevoteau <www@a2pb.gotdns.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
$Id: callbacks.h,v 1.24 2004/01/11 17:19:54 ericprev Exp $
*/

#include <gnome.h>

#include "misc_gtk.h"

gboolean
on_app1_delete_event                   (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_connect1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_disconnect1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_find1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_enter_a_password_menu_entry_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_main_notebook_switch_page           (GtkNotebook     *notebook,
                                        GtkNotebookPage *page,
                                        guint            page_num,
                                        gpointer         user_data);

void
on_connect_notebook_switch_page        (GtkNotebook     *notebook,
                                        GtkNotebookPage *page,
                                        guint            page_num,
                                        gpointer         user_data);

gboolean
on_running_hub_clist_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_hub_favorite_clist_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_hub_favorite_clist_key_press_event  (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_hub_public_clist_button_press_event (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_hub_recent_clist_button_press_event (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_clear_recent_list_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_seen_hub_clist_button_press_event   (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_hubs_to_select_entry_activate       (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_find_hub_button_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_find_prev_hub_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_find_next_hub_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_refresh_sitelist_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_bookmark_button_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_delete_selected_bookmark_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_start_dctc_selected_hub_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_start_dummy_client_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_connect_entry_activate              (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_do_connection_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_do_reconnect_now_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_do_goto_button_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_terminate_selected_dctcs_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_kill_selected_dctcs_button_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_dctc_cmd_entry_activate             (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_chat_input_activate                 (GtkEntry        *entry,
                                        gpointer         user_data);

gboolean
on_chat_input_key_press_event          (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_clear_globalchat_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_pubchat_flag_selected_user_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_find_result_button_press_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_find_result_key_press_event         (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_find_entry_activate                 (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_find_button_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_show_search_user_side_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_hide_search_user_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_locate_user_clist_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_locate_user_entry_activate          (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_search_user_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_as_to_gdl_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_do_gdl_rename_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_remove_current_gdl_rename_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_do_gdl_script_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_remove_current_gdl_script_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_user_file_list_clist_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_user_file_list_clist_key_press_event
                                        (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_clear_user_file_list_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_user_file_list_search_entry_activate
                                        (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_user_file_list_search_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_user_file_list_find_previous_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_user_file_list_find_next_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_cached_user_list_clist_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_reload_cached_user_list_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_load_selected_share_lists_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_delete_selected_share_lists_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_chat_notebook_switch_page           (GtkNotebook     *notebook,
                                        GtkNotebookPage *page,
                                        guint            page_num,
                                        gpointer         user_data);

void
on_close_pchat_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_close_all_pchat_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_pchat_entry_activate                (GtkEntry        *entry,
                                        gpointer         user_data);

gboolean
on_pchat_entry_key_press_event         (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_clear_private_chat_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_flag_pchat_user_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_shared_dir_clist_key_press_event    (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_add_shared_dir_button_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_remove_shared_dir_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_do_browse_dl_dir_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_do_browse_vshare_dir_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_apply_pref_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_reload_pref_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_save_default_profile_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_load_default_profil_button_clicked  (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_uaddr_clist_button_press_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_find_uaddr_by_nick_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_new_uaddr_full_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_new_uaddr_host_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_find_uaddr_by_addr_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_unode_addr_entry_activate           (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_addr_unode_button_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_del_selected_unode_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_reload_unode_address_list_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_modify_flag_user_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_delete_flag_user_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_reload_flagged_user_list_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_user_clist_button_press_event       (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_away_togglebutton_toggled           (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

gboolean
on_gdl_ctree_button_press_event        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_gdl_ctree_key_press_event           (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_upload_clist_button_press_event     (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_upload_clist_key_press_event        (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_queue_clist_button_press_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_queue_clist_key_press_event         (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

gboolean
on_done_clist_button_press_event       (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_clear_global_list_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_reload_done_list_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_download_clist_button_press_event   (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_download_clist_key_press_event      (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_clear_error_messages_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancel_dl_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_dl_ul_done_view_file_list_activate  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_dl_ul_done_open_private_chat_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_flag_user2_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_search_user_of_dl_clist_activate    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cancel_ul_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_unqueue_xfer_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_view_file_list_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_open_private_chat_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_kick_user_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_flag_user_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_search_user_of_user_clist_activate  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_wake_this_user_gdl_source_on_user_clist_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_dl_dir_select_ok_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_dl_dir_cancel_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_shared_dir_fs_ok_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_shared_dir_fs_cancel_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_download_selected_files1_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_unselect_files1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_get_file_list_of_selected_users1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_flag_user3_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_wake_this_user_gdl_source_of_start_dl_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_contact_selected_running_client1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_kill_selected_unning_clients1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_stop_and_detach1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cancel_gdl_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_attach_autoscan_pattern_to_selected_gdl1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_generate_autoscan_pattern_for_selected_gdl1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_rename_selected_gdl_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_script_selected_gdl_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_gdl_view_file_list_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_flag_user_from_gdl_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_search_user_of_gdl_clist_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_wake_this_user_gdl_source_on_gdl_clist_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_expand_all_gdl_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_shrink_all_gdl_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_attach_all_unattached_gdl_activate  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_uaddr_view_file_list_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_delete_uaddr_entries_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_refresh_uaddr_list_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_unselect_uaddr_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_vshare_dir_select_ok_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_vshare_dir_cancel_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_toggle_autostart_item_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_running_hub_clist_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_flagged_user_clist_row_activated    (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data);

void
on_utf8_mode_checkbutton_toggled       (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

gboolean
on_unattached_gdl_treeview_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_unattached_gdl_treeview_key_press_event
                                        (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_add_uatgdl_item_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_refresh_uatgdl_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ed2k_url_entry_activate             (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_create_gdl_from_ed2k_url_button_activate
                                        (GtkButton       *button,
                                        gpointer         user_data);


/******************************************************/
/* convert a string containing an ed2k URL into a GDL */
/******************************************************/
void process_ed2k_file_url(const char *url);


void
on_close_connection_with_the_client1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_profile_wizard1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_druid_do_browse_dl_dir_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_druid_add_shared_dir_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_profile_druid_cancel                (GnomeDruid      *gnomedruid,
                                        gpointer         user_data);

gboolean
on_druidpageid_next                    (GnomeDruidPage  *gnomedruidpage,
                                        GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_druidpage_share_next                (GnomeDruidPage  *gnomedruidpage,
                                        GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_druidpage_profname_next             (GnomeDruidPage  *gnomedruidpage,
                                        GtkWidget       *widget,
                                        gpointer         user_data);

void
on_druidpagefinish1_finish             (GnomeDruidPage  *gnomedruidpage,
                                        GtkWidget       *widget,
                                        gpointer         user_data);

void
on_druid_dl_dir_select_ok_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_druid_dl_dir_cancel_button_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_druid_shared_dir_fs_ok_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_druid_shared_dir_fs_cancel_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_profile_wizard_window_delete_event  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_add_hublist_entry_activate          (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_remove_hublist_button_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_add_hublist_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_get_uinfo_checkbutton_toggled       (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_end_of_dl_sound_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_privmsg_sound_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_ok_snd_file_fs_button_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancel_snd_file_fs_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_hublist_sound_button_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_copy_search_result_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_paste_search_result_button_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_apply_filter_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_search_result_filter_param_entry_activate
                                        (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_lmule_default_temp_dir_button_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_check_ed2k_handler_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_bittorrent_treeview_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_bittorrent_treeview_key_press_event (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);

void
on_start_bt_entry_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_stop_bt_entry_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_gui_prefs_button_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_reload_gui_prefs_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_clear_ed2k_url_entry_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_notes_textview_insert_at_cursor     (GtkTextView     *textview,
                                        gchar           *arg1,
                                        gpointer         user_data);

void
on_save_notes_button_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_clear_notes_button_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_reload_notes_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_clear_selected_bt_entries_activate  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_delete_profile_button_button_press_event
                                        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_check_torrent_handler_registration_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_disable_tooltips_checkbutton_toggled
                                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);
